<!DOCTYPE html>
<html>
<head>
	<title>{{ intl.TitleElectronicInvoice }}</title>
	<head>
	<style type="text/css">

		body.container {
			margin: 16px;
		}

		div.second-line {
			margin-top: 8px;
			font-size: smaller;
		}

		div.template-header {
			display: flex;
			flex-direction: row;
		}

		div.title {
			margin-top: 16px;
			margin-bottom: 32px;
		}

		h1.template-header {
			margin: 0px;
			text-align: right;
		}
		hr.template-header {
			border-color: red;
			border-style: solid;
			border-width: 2px;
		}

		.template-header-grow {
			flex: auto;
		}

		.template-header-section {
			display: inline-block;
		}

		.template-header h2 {
			margin: 0px;
		}

		div.field {
			display: flex;
			flex-direction: row;
		}

		div.field label:after {
			content: ': ';
		}

		img.logo {
			width: 96px;
			height: 96px;
			margin-right: 32px;
		}

		span.row {
			display: block;
		}

		table.items {
			table-layout: auto;
			width: 100%;
			border-collapse: collapse;
		}

		table.items thead tr {
			border-bottom: solid red;
		}

		table.items tr:nth-child(even) {
			color: black;
			background-color: lightgrey;
		}

		table {
			text-align: left;
		}

		.column-two {
			width: 50%;
		}


		h2.summary {
			text-align: right;
		}
		th.data, td.data {
			white-space: nowrap;
			text-align: right;
		}

		main {
			margin-top: 16px;
		}


		div.qrContainer img {
			width: 64px;
			height: 64px;
		}

	</style>
	<meta charset="utf-8">
</head>
<body class="container">
	<header>
		<div class="template-header">
			<div class="template-header-section">{{ logo lookAndFeel.logo }}</div>
			<div class="column-two template-header-section">
				<b class="row">{{ invoice.issuer.name }} ({{ invoice.issuer.registrationNo }})</b>
				<span class="row">{{ invoice.issuer.headQuarters }}</span>
				<span class="row">{{ invoice.issuer.taxNo }}</span>
				<div class="field">
					<label>{{ capitalize intl.LabelTaxNumber }}</label>
					<span>{{ formatTaxNo invoice.issuer.taxNo }}</span>
				</div>
			</div>
			<table class="column-two template-header-section">
				<tr class="field">
					<th>{{ capitalize intl.LabelBankName }}</th>
					<td>{{ invoice.bankTransferData.name }}</td>
				</tr>
				<tr class="field">
					<th>{{ capitalize intl.LabelBankAccountNumber }}</th>
					<td>{{ formatBankAccount invoice.bankTransferData.accountNumber }}</td>
				</tr>
			</table>
			<div id="qrContainer" class="qrContainer template-header-section">{{ qrCode invoice.invoiceNo }}</div>

		</div>
		<div class="title">
			<h1 class="template-header">{{ upperCase intl.TitleElectronicInvoice }}</h1>
			<hr class="template-header" />
			<div class="template-header">
				<span class="template-header-grow">{{ intl.SubtitleElectronicInvoice }}</span>
				<div class="field">
					<label>{{ capitalize intl.LabelInvoiceNumber }}</label>
					<span>{{ invoice.invoiceNo }}</span>
				</div>
			</div>
		</div>
		<div class="template-header">
			<div class="template-header-grow">
				<h2>{{ capitalize intl.TitleCustomer }}</h2>
				<div>
					<b class="row">{{ invoice.customer.name }}</b>
					<span class="row"></span>{{ invoice.issuer.registrationNo }}</span>
					<span class="row">{{ invoice.customer.headQuarters }}</span>
					<span class="row">{{ invoice.customer.taxNo }}</span>
					<div class="field">
						<label>{{ capitalize intl.LabelTaxNumber }}</label>
						<span>{{ formatTaxNo invoice.customer.taxNo }}</span>
					</div>
				</div>
			</div>
			<table>
				<tr class="field">
					<th>{{ capitalize intl.LabelPaymentMethodType }}</th>
					<td>{{ translate invoice.paymentMethodType }}</td>
				</tr>
				<tr class="field">
					<th>{{ capitalize intl.LabelCompletionDate }}</th>
					<td>{{ formatDate invoice.completionDate }}</td>
				</tr>
				<tr class="field">
					<th>{{ capitalize intl.LabelCreationDate }}</th>
					<td>{{ formatDate invoice.creationDate }}</td>
				</tr>
				<tr class="field">
					<th>{{ capitalize intl.LabelDueDate }}</th>
					<td>{{ formatDate invoice.dueDate }}</td>
				</tr>
			</table>
		</div>
	</header>
	<main>
		<table class="items">
			<thead>
				<tr>
					<th>{{ capitalize intl.ColumnDescription }}</th>
					<th>{{ capitalize intl.ColumnAmount }}</th>
					<th>{{ capitalize intl.ColumnUnitPrice }}</th>
					<th>{{ capitalize intl.ColumnNetPrice }}</th>
					<th>{{ capitalize intl.ColumnVat }}</th>
					<th>{{ capitalize intl.ColumnVatPrice }}</th>
					<th>{{ capitalize intl.ColumnGrossPrice }}</th>
				</tr>
			</thead>
			<tbody>
				{{#each invoice.items }}
				<tr>
					<td>
						<div class="first-line">{{ description }}</div>
						<div class="second-line">{{ note }}</div>
					</td>
					<td class="data">{{ amount }} {{ translate unit }}</td>
					<td class="data">{{ formatMoney unitPrice }}</td>
					<td class="data">{{ formatMoney netPrice }}</td>
					<td class="data">{{ translate vat }}</td>
					<td class="data">{{ formatMoney vatPrice }}</td>
					<td class="data">{{ formatMoney grossPrice }}</td>
				</tr>
				{{/each}}
			</tbody>
			<tfoot>
				<tr>
					<th>{{ capitalize intl.LabelSummary }}</th>
					<td></td>
					<td></td>
					<td class="data">{{ formatMoney price.net }}</td>
					<td class="data"></td>
					<td class="data">{{ formatMoney price.vat }}</td>
					<td class="data">{{ formatMoney price.gross }}</td>
				</tr>
			</tfoot>
		</table>
		<p class="template-header-grow">{{ invoice.subtitle }}</p>

	</main>
	<footer>
		<h2 class="field summary">
			<label>{{ capitalize intl.LabelSummary }}</label>
			<span>{{ formatMoney price.gross }}</span>
		</h2>
	</footer>
</body>
</html>
